Feature: Manage Users
	In order to manage user details
	As a security measure
	I want to edit user details only when authorized
	
	Scenario Outline: Show edit link as admin
		Given the following users
			|	user    	|	     email          | password |	admin	|
			| martin		|	martin@example.com	| secret	 |	false |
			| admin	    |	admin@example.com	  | secret   |	true  |

		Given I sign in as "<login>" using email "admin@example.com" and password "secret"
#		And I press "Sign In"
		When I visit profile for "<profile>"
		Then I should <action>
		
		Examples:
			|	login    	|      profile        |      action            |
			| martin		|	martin@example.com	|	see "Edit Profile"     |
			| admin	    |	admin@example.com   | see "Edit Profile"     |	
			| 	        |	martin@example.com	| not see "Edit Profile" |

	Scenario: Successful sign in
		Given I am on home page
		When I enter email "martin@example.com" and password "secret"
		And I press "Sign In"
		Then I should see "Signed in successfully"
		
	Scenario: Unsuccessful sign in
		Given I am on home page
		When I enter email "martin@example.com" and password "blah"
		And I press "Sign In"
		Then I should see "Invalid username or password"
		
	Scenario: Successful sign up
		Given I don not have an account
		When I press "Sign Up"
		And I enter email "martin@example.com", password "secret" and password_confirmation "secret"
		And press button "Sign Up"
		Then I should see "Welcome! You have signed up successfully"

	Scenario: Unsuccessful sign up
		Given I don not have an account
		When I press "Sign Up"
		And I enter email "martin@example.com", password "secret" and password_confirmation "credit"
		And press button "Sign Up"
		Then I should see "Password doesn't match confirmation"
